#include "MoveGeneration.h"
#include "ChessGame.h"

using namespace chessy;

template class MoveGenerator<0>;
template class MoveGenerator<1>;


std::string chessy::Move::asString(void) const
{
    return origin.getName() + "-" + destination.getName();
}


template<int side>
typename MoveGenerator<side>::MoveIterator MoveGenerator<side>::begin(void) const
{
    return MoveIterator{ chessGame.getBoard().getWhitePawns() };
}


template<int side>
typename MoveGenerator<side>::MoveIterator chessy::MoveGenerator<side>::end(void) const
{
    return MoveIterator{ PositionSet::end() };
}


