#include <iostream>
#include "UciParser.h"
#include "ChessGame.h"
#include "MoveGeneration.h"

using namespace std;

auto main() -> int
{
    chessy::ChessGame cg;
    string line;
    getline(cin, line);
    try {
        cg.loadFromFen(line);
        cout << cg.generateFen() << endl;
        chessy::MoveGenerator<0> mg{ cg };
        for (auto pos : mg) {
            cout << pos.asString() << endl;
        }
    }
    catch (runtime_error& re) {
        cerr << re.what() << endl;
        return 1;
    }
    cin.get();
    return 0;
    UciParser uciParser;
    uciParser.parse(cin, cout);
    return 0;
}
